<?php
// This file was auto-generated from sdk-root/src/data/comprehend/2017-11-27/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>Amazon Comprehend is an AWS service for gaining insight into the content of documents. Use these actions to determine the topics contained in your documents, the topics they discuss, the predominant sentiment expressed in them, the predominant language used, and more.</p>', 'operations' => [ 'BatchDetectDominantLanguage' => '<p>Determines the dominant language of the input text for a batch of documents. For a list of languages that Amazon Comprehend can detect, see <a href="http://docs.aws.amazon.com/comprehend/latest/dg/how-languages.html">Amazon Comprehend Supported Languages</a>. </p>', 'BatchDetectEntities' => '<p>Inspects the text of a batch of documents for named entities and returns information about them. For more information about named entities, see <a>how-entities</a> </p>', 'BatchDetectKeyPhrases' => '<p>Detects the key noun phrases found in a batch of documents.</p>', 'BatchDetectSentiment' => '<p>Inspects a batch of documents and returns an inference of the prevailing sentiment, <code>POSITIVE</code>, <code>NEUTRAL</code>, <code>MIXED</code>, or <code>NEGATIVE</code>, in each one.</p>', 'DescribeDominantLanguageDetectionJob' => '<p>Gets the properties associated with a dominant language detection job. Use this operation to get the status of a detection job.</p>', 'DescribeEntitiesDetectionJob' => '<p>Gets the properties associated with an entities detection job. Use this operation to get the status of a detection job.</p>', 'DescribeKeyPhrasesDetectionJob' => '<p>Gets the properties associated with a key phrases detection job. Use this operation to get the status of a detection job.</p>', 'DescribeSentimentDetectionJob' => '<p>Gets the properties associated with a sentiment detection job. Use this operation to get the status of a detection job.</p>', 'DescribeTopicsDetectionJob' => '<p>Gets the properties associated with a topic detection job. Use this operation to get the status of a detection job.</p>', 'DetectDominantLanguage' => '<p>Determines the dominant language of the input text. For a list of languages that Amazon Comprehend can detect, see <a href="http://docs.aws.amazon.com/comprehend/latest/dg/how-languages.html">Amazon Comprehend Supported Languages</a>. </p>', 'DetectEntities' => '<p>Inspects text for named entities, and returns information about them. For more information, about named entities, see <a>how-entities</a>. </p>', 'DetectKeyPhrases' => '<p>Detects the key noun phrases found in the text. </p>', 'DetectSentiment' => '<p>Inspects text and returns an inference of the prevailing sentiment (<code>POSITIVE</code>, <code>NEUTRAL</code>, <code>MIXED</code>, or <code>NEGATIVE</code>). </p>', 'ListDominantLanguageDetectionJobs' => '<p>Gets a list of the dominant language detection jobs that you have submitted.</p>', 'ListEntitiesDetectionJobs' => '<p>Gets a list of the entity detection jobs that you have submitted.</p>', 'ListKeyPhrasesDetectionJobs' => '<p>Get a list of key phrase detection jobs that you have submitted.</p>', 'ListSentimentDetectionJobs' => '<p>Gets a list of sentiment detection jobs that you have submitted.</p>', 'ListTopicsDetectionJobs' => '<p>Gets a list of the topic detection jobs that you have submitted.</p>', 'StartDominantLanguageDetectionJob' => '<p>Starts an asynchronous dominant language detection job for a collection of documents. Use the operation to track the status of a job.</p>', 'StartEntitiesDetectionJob' => '<p>Starts an asynchronous entity detection job for a collection of documents. Use the operation to track the status of a job.</p>', 'StartKeyPhrasesDetectionJob' => '<p>Starts an asynchronous key phrase detection job for a collection of documents. Use the operation to track the status of a job.</p>', 'StartSentimentDetectionJob' => '<p>Starts an asynchronous sentiment detection job for a collection of documents. use the operation to track the status of a job.</p>', 'StartTopicsDetectionJob' => '<p>Starts an asynchronous topic detection job. Use the <code>DescribeTopicDetectionJob</code> operation to track the status of a job.</p>', 'StopDominantLanguageDetectionJob' => '<p>Stops a dominant language detection job in progress.</p> <p>If the job state is <code>IN_PROGRESS</code> the job will be marked for termination and put into the <code>STOPPING</code> state.</p> <p>If the job is in the <code>COMPLETED</code> or <code>FAILED</code> state when you call the <code>StopDominantLanguageDetectionJob</code> operation, the operation will return a 400 Internal Request Exception. </p> <p>When a job is stopped, any document that has already been processed will be written to the output location.</p>', 'StopEntitiesDetectionJob' => '<p>Stops an entities detection job in progress.</p> <p>If the job state is <code>IN_PROGRESS</code> the job will be marked for termination and put into the <code>STOPPING</code> state.</p> <p>If the job is in the <code>COMPLETED</code> or <code>FAILED</code> state when you call the <code>StopDominantLanguageDetectionJob</code> operation, the operation will return a 400 Internal Request Exception. </p> <p>When a job is stopped, any document that has already been processed will be written to the output location.</p>', 'StopKeyPhrasesDetectionJob' => '<p>Stops a key phrases detection job in progress.</p> <p>If the job state is <code>IN_PROGRESS</code> the job will be marked for termination and put into the <code>STOPPING</code> state.</p> <p>If the job is in the <code>COMPLETED</code> or <code>FAILED</code> state when you call the <code>StopDominantLanguageDetectionJob</code> operation, the operation will return a 400 Internal Request Exception. </p> <p>When a job is stopped, any document that has already been processed will be written to the output location.</p>', 'StopSentimentDetectionJob' => '<p>Stops a sentiment detection job in progress.</p> <p>If the job state is <code>IN_PROGRESS</code> the job will be marked for termination and put into the <code>STOPPING</code> state.</p> <p>If the job is in the <code>COMPLETED</code> or <code>FAILED</code> state when you call the <code>StopDominantLanguageDetectionJob</code> operation, the operation will return a 400 Internal Request Exception. </p> <p>When a job is stopped, any document that has already been processed will be written to the output location.</p>', ], 'shapes' => [ 'AnyLengthString' => [ 'base' => NULL, 'refs' => [ 'DominantLanguageDetectionJobProperties$Message' => '<p>A description for the status of a job.</p>', 'EntitiesDetectionJobProperties$Message' => '<p>A description of the status of a job.</p>', 'KeyPhrasesDetectionJobProperties$Message' => '<p>A description of the status of a job.</p>', 'SentimentDetectionJobProperties$Message' => '<p>A description of the status of a job.</p>', 'TopicsDetectionJobProperties$Message' => '<p>A description for the status of a job.</p>', ], ], 'BatchDetectDominantLanguageItemResult' => [ 'base' => '<p>The result of calling the operation. The operation returns one object for each document that is successfully processed by the operation.</p>', 'refs' => [ 'ListOfDetectDominantLanguageResult$member' => NULL, ], ], 'BatchDetectDominantLanguageRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchDetectDominantLanguageResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchDetectEntitiesItemResult' => [ 'base' => '<p>The result of calling the operation. The operation returns one object for each document that is successfully processed by the operation.</p>', 'refs' => [ 'ListOfDetectEntitiesResult$member' => NULL, ], ], 'BatchDetectEntitiesRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchDetectEntitiesResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchDetectKeyPhrasesItemResult' => [ 'base' => '<p>The result of calling the operation. The operation returns one object for each document that is successfully processed by the operation.</p>', 'refs' => [ 'ListOfDetectKeyPhrasesResult$member' => NULL, ], ], 'BatchDetectKeyPhrasesRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchDetectKeyPhrasesResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchDetectSentimentItemResult' => [ 'base' => '<p>The result of calling the operation. The operation returns one object for each document that is successfully processed by the operation.</p>', 'refs' => [ 'ListOfDetectSentimentResult$member' => NULL, ], ], 'BatchDetectSentimentRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchDetectSentimentResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchItemError' => [ 'base' => '<p>Describes an error that occurred while processing a document in a batch. The operation returns on <code>BatchItemError</code> object for each document that contained an error.</p>', 'refs' => [ 'BatchItemErrorList$member' => NULL, ], ], 'BatchItemErrorList' => [ 'base' => NULL, 'refs' => [ 'BatchDetectDominantLanguageResponse$ErrorList' => '<p>A list containing one object for each document that contained an error. The results are sorted in ascending order by the <code>Index</code> field and match the order of the documents in the input list. If there are no errors in the batch, the <code>ErrorList</code> is empty.</p>', 'BatchDetectEntitiesResponse$ErrorList' => '<p>A list containing one object for each document that contained an error. The results are sorted in ascending order by the <code>Index</code> field and match the order of the documents in the input list. If there are no errors in the batch, the <code>ErrorList</code> is empty.</p>', 'BatchDetectKeyPhrasesResponse$ErrorList' => '<p>A list containing one object for each document that contained an error. The results are sorted in ascending order by the <code>Index</code> field and match the order of the documents in the input list. If there are no errors in the batch, the <code>ErrorList</code> is empty.</p>', 'BatchDetectSentimentResponse$ErrorList' => '<p>A list containing one object for each document that contained an error. The results are sorted in ascending order by the <code>Index</code> field and match the order of the documents in the input list. If there are no errors in the batch, the <code>ErrorList</code> is empty.</p>', ], ], 'BatchSizeLimitExceededException' => [ 'base' => '<p>The number of documents in the request exceeds the limit of 25. Try your request again with fewer documents.</p>', 'refs' => [], ], 'ClientRequestTokenString' => [ 'base' => NULL, 'refs' => [ 'StartDominantLanguageDetectionJobRequest$ClientRequestToken' => '<p>A unique identifier for the request. If you do not set the client request token, Amazon Comprehend generates one.</p>', 'StartEntitiesDetectionJobRequest$ClientRequestToken' => '<p>A unique identifier for the request. If you don\'t set the client request token, Amazon Comprehend generates one.</p>', 'StartKeyPhrasesDetectionJobRequest$ClientRequestToken' => '<p>A unique identifier for the request. If you don\'t set the client request token, Amazon Comprehend generates one.</p>', 'StartSentimentDetectionJobRequest$ClientRequestToken' => '<p>A unique identifier for the request. If you don\'t set the client request token, Amazon Comprehend generates one.</p>', 'StartTopicsDetectionJobRequest$ClientRequestToken' => '<p>A unique identifier for the request. If you do not set the client request token, Amazon Comprehend generates one.</p>', ], ], 'DescribeDominantLanguageDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeDominantLanguageDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeEntitiesDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeEntitiesDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeKeyPhrasesDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeKeyPhrasesDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeSentimentDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeSentimentDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeTopicsDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeTopicsDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'DetectDominantLanguageRequest' => [ 'base' => NULL, 'refs' => [], ], 'DetectDominantLanguageResponse' => [ 'base' => NULL, 'refs' => [], ], 'DetectEntitiesRequest' => [ 'base' => NULL, 'refs' => [], ], 'DetectEntitiesResponse' => [ 'base' => NULL, 'refs' => [], ], 'DetectKeyPhrasesRequest' => [ 'base' => NULL, 'refs' => [], ], 'DetectKeyPhrasesResponse' => [ 'base' => NULL, 'refs' => [], ], 'DetectSentimentRequest' => [ 'base' => NULL, 'refs' => [], ], 'DetectSentimentResponse' => [ 'base' => NULL, 'refs' => [], ], 'DominantLanguage' => [ 'base' => '<p>Returns the code for the dominant language in the input text and the level of confidence that Amazon Comprehend has in the accuracy of the detection.</p>', 'refs' => [ 'ListOfDominantLanguages$member' => NULL, ], ], 'DominantLanguageDetectionJobFilter' => [ 'base' => '<p>Provides information for filtering a list of dominant language detection jobs. For more information, see the operation.</p>', 'refs' => [ 'ListDominantLanguageDetectionJobsRequest$Filter' => '<p>Filters that jobs that are returned. You can filter jobs on their name, status, or the date and time that they were submitted. You can only set one filter at a time.</p>', ], ], 'DominantLanguageDetectionJobProperties' => [ 'base' => '<p>Provides information about a dominant language detection job.</p>', 'refs' => [ 'DescribeDominantLanguageDetectionJobResponse$DominantLanguageDetectionJobProperties' => '<p>An object that contains the properties associated with a dominant language detection job.</p>', 'DominantLanguageDetectionJobPropertiesList$member' => NULL, ], ], 'DominantLanguageDetectionJobPropertiesList' => [ 'base' => NULL, 'refs' => [ 'ListDominantLanguageDetectionJobsResponse$DominantLanguageDetectionJobPropertiesList' => '<p>A list containing the properties of each job that is returned.</p>', ], ], 'EntitiesDetectionJobFilter' => [ 'base' => '<p>Provides information for filtering a list of dominant language detection jobs. For more information, see the operation.</p>', 'refs' => [ 'ListEntitiesDetectionJobsRequest$Filter' => '<p>Filters the jobs that are returned. You can filter jobs on their name, status, or the date and time that they were submitted. You can only set one filter at a time.</p>', ], ], 'EntitiesDetectionJobProperties' => [ 'base' => '<p>Provides information about an entities detection job.</p>', 'refs' => [ 'DescribeEntitiesDetectionJobResponse$EntitiesDetectionJobProperties' => '<p>An object that contains the properties associated with an entities detection job.</p>', 'EntitiesDetectionJobPropertiesList$member' => NULL, ], ], 'EntitiesDetectionJobPropertiesList' => [ 'base' => NULL, 'refs' => [ 'ListEntitiesDetectionJobsResponse$EntitiesDetectionJobPropertiesList' => '<p>A list containing the properties of each job that is returned.</p>', ], ], 'Entity' => [ 'base' => '<p>Provides information about an entity. </p> <p> </p>', 'refs' => [ 'ListOfEntities$member' => NULL, ], ], 'EntityType' => [ 'base' => NULL, 'refs' => [ 'Entity$Type' => '<p>The entity\'s type.</p>', ], ], 'Float' => [ 'base' => NULL, 'refs' => [ 'DominantLanguage$Score' => '<p>The level of confidence that Amazon Comprehend has in the accuracy of the detection.</p>', 'Entity$Score' => '<p>The level of confidence that Amazon Comprehend has in the accuracy of the detection.</p>', 'KeyPhrase$Score' => '<p>The level of confidence that Amazon Comprehend has in the accuracy of the detection.</p>', 'SentimentScore$Positive' => '<p>The level of confidence that Amazon Comprehend has in the accuracy of its detection of the <code>POSITIVE</code> sentiment.</p>', 'SentimentScore$Negative' => '<p>The level of confidence that Amazon Comprehend has in the accuracy of its detection of the <code>NEGATIVE</code> sentiment.</p>', 'SentimentScore$Neutral' => '<p>The level of confidence that Amazon Comprehend has in the accuracy of its detection of the <code>NEUTRAL</code> sentiment.</p>', 'SentimentScore$Mixed' => '<p>The level of confidence that Amazon Comprehend has in the accuracy of its detection of the <code>MIXED</code> sentiment.</p>', ], ], 'IamRoleArn' => [ 'base' => NULL, 'refs' => [ 'StartDominantLanguageDetectionJobRequest$DataAccessRoleArn' => '<p>The Amazon Resource Name (ARN) of the AWS Identity and Management (IAM) role that grants Amazon Comprehend read access to your input data.</p>', 'StartEntitiesDetectionJobRequest$DataAccessRoleArn' => '<p>The Amazon Resource Name (ARN) of the AWS Identity and Management (IAM) role that grants Amazon Comprehend read access to your input data.</p>', 'StartKeyPhrasesDetectionJobRequest$DataAccessRoleArn' => '<p>The Amazon Resource Name (ARN) of the AWS Identity and Management (IAM) role that grants Amazon Comprehend read access to your input data.</p>', 'StartSentimentDetectionJobRequest$DataAccessRoleArn' => '<p>The Amazon Resource Name (ARN) of the AWS Identity and Management (IAM) role that grants Amazon Comprehend read access to your input data.</p>', 'StartTopicsDetectionJobRequest$DataAccessRoleArn' => '<p>The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that grants Amazon Comprehend read access to your input data. </p>', ], ], 'InputDataConfig' => [ 'base' => '<p>The input properties for a topic detection job.</p>', 'refs' => [ 'DominantLanguageDetectionJobProperties$InputDataConfig' => '<p>The input data configuration that you supplied when you created the dominant language detection job.</p>', 'EntitiesDetectionJobProperties$InputDataConfig' => '<p>The input data configuration that you supplied when you created the entities detection job.</p>', 'KeyPhrasesDetectionJobProperties$InputDataConfig' => '<p>The input data configuration that you supplied when you created the key phrases detection job.</p>', 'SentimentDetectionJobProperties$InputDataConfig' => '<p>The input data configuration that you supplied when you created the sentiment detection job.</p>', 'StartDominantLanguageDetectionJobRequest$InputDataConfig' => '<p>Specifies the format and location of the input data for the job.</p>', 'StartEntitiesDetectionJobRequest$InputDataConfig' => '<p>Specifies the format and location of the input data for the job.</p>', 'StartKeyPhrasesDetectionJobRequest$InputDataConfig' => '<p>Specifies the format and location of the input data for the job.</p>', 'StartSentimentDetectionJobRequest$InputDataConfig' => '<p>Specifies the format and location of the input data for the job.</p>', 'StartTopicsDetectionJobRequest$InputDataConfig' => '<p>Specifies the format and location of the input data for the job.</p>', 'TopicsDetectionJobProperties$InputDataConfig' => '<p>The input data configuration supplied when you created the topic detection job.</p>', ], ], 'InputFormat' => [ 'base' => NULL, 'refs' => [ 'InputDataConfig$InputFormat' => '<p>Specifies how the text in an input file should be processed:</p> <ul> <li> <p> <code>ONE_DOC_PER_FILE</code> - Each file is considered a separate document. Use this option when you are processing large documents, such as newspaper articles or scientific papers.</p> </li> <li> <p> <code>ONE_DOC_PER_LINE</code> - Each line in a file is considered a separate document. Use this option when you are processing many short documents, such as text messages.</p> </li> </ul>', ], ], 'Integer' => [ 'base' => NULL, 'refs' => [ 'BatchDetectDominantLanguageItemResult$Index' => '<p>The zero-based index of the document in the input list.</p>', 'BatchDetectEntitiesItemResult$Index' => '<p>The zero-based index of the document in the input list.</p>', 'BatchDetectKeyPhrasesItemResult$Index' => '<p>The zero-based index of the document in the input list.</p>', 'BatchDetectSentimentItemResult$Index' => '<p>The zero-based index of the document in the input list.</p>', 'BatchItemError$Index' => '<p>The zero-based index of the document in the input list.</p>', 'Entity$BeginOffset' => '<p>A character offset in the input text that shows where the entity begins (the first character is at position 0). The offset returns the position of each UTF-8 code point in the string. A <i>code point</i> is the abstract character from a particular graphical representation. For example, a multi-byte UTF-8 character maps to a single code point.</p>', 'Entity$EndOffset' => '<p>A character offset in the input text that shows where the entity ends. The offset returns the position of each UTF-8 code point in the string. A <i>code point</i> is the abstract character from a particular graphical representation. For example, a multi-byte UTF-8 character maps to a single code point. </p>', 'KeyPhrase$BeginOffset' => '<p>A character offset in the input text that shows where the key phrase begins (the first character is at position 0). The offset returns the position of each UTF-8 code point in the string. A <i>code point</i> is the abstract character from a particular graphical representation. For example, a multi-byte UTF-8 character maps to a single code point.</p>', 'KeyPhrase$EndOffset' => '<p>A character offset in the input text where the key phrase ends. The offset returns the position of each UTF-8 code point in the string. A <code>code point</code> is the abstract character from a particular graphical representation. For example, a multi-byte UTF-8 character maps to a single code point.</p>', 'TopicsDetectionJobProperties$NumberOfTopics' => '<p>The number of topics to detect supplied when you created the topic detection job. The default is 10. </p>', ], ], 'InternalServerException' => [ 'base' => '<p>An internal server error occurred. Retry your request.</p>', 'refs' => [], ], 'InvalidFilterException' => [ 'base' => '<p>The filter specified for the <code>ListTopicDetectionJobs</code> operation is invalid. Specify a different filter.</p>', 'refs' => [], ], 'InvalidRequestException' => [ 'base' => '<p>The request is invalid.</p>', 'refs' => [], ], 'JobId' => [ 'base' => NULL, 'refs' => [ 'DescribeDominantLanguageDetectionJobRequest$JobId' => '<p>The identifier that Amazon Comprehend generated for the job. The operation returns this identifier in its response.</p>', 'DescribeEntitiesDetectionJobRequest$JobId' => '<p>The identifier that Amazon Comprehend generated for the job. The operation returns this identifier in its response.</p>', 'DescribeKeyPhrasesDetectionJobRequest$JobId' => '<p>The identifier that Amazon Comprehend generated for the job. The operation returns this identifier in its response.</p>', 'DescribeSentimentDetectionJobRequest$JobId' => '<p>The identifier that Amazon Comprehend generated for the job. The operation returns this identifier in its response.</p>', 'DescribeTopicsDetectionJobRequest$JobId' => '<p>The identifier assigned by the user to the detection job.</p>', 'DominantLanguageDetectionJobProperties$JobId' => '<p>The identifier assigned to the dominant language detection job.</p>', 'EntitiesDetectionJobProperties$JobId' => '<p>The identifier assigned to the entities detection job.</p>', 'KeyPhrasesDetectionJobProperties$JobId' => '<p>The identifier assigned to the key phrases detection job.</p>', 'SentimentDetectionJobProperties$JobId' => '<p>The identifier assigned to the sentiment detection job.</p>', 'StartDominantLanguageDetectionJobResponse$JobId' => '<p>The identifier generated for the job. To get the status of a job, use this identifier with the operation.</p>', 'StartEntitiesDetectionJobResponse$JobId' => '<p>The identifier generated for the job. To get the status of job, use this identifier with the operation.</p>', 'StartKeyPhrasesDetectionJobResponse$JobId' => '<p>The identifier generated for the job. To get the status of a job, use this identifier with the operation.</p>', 'StartSentimentDetectionJobResponse$JobId' => '<p>The identifier generated for the job. To get the status of a job, use this identifier with the operation.</p>', 'StartTopicsDetectionJobResponse$JobId' => '<p>The identifier generated for the job. To get the status of the job, use this identifier with the <code>DescribeTopicDetectionJob</code> operation.</p>', 'StopDominantLanguageDetectionJobRequest$JobId' => '<p>The identifier of the dominant language detection job to stop.</p>', 'StopDominantLanguageDetectionJobResponse$JobId' => '<p>The identifier of the dominant language detection job to stop.</p>', 'StopEntitiesDetectionJobRequest$JobId' => '<p>The identifier of the entities detection job to stop.</p>', 'StopEntitiesDetectionJobResponse$JobId' => '<p>The identifier of the entities detection job to stop.</p>', 'StopKeyPhrasesDetectionJobRequest$JobId' => '<p>The identifier of the key phrases detection job to stop.</p>', 'StopKeyPhrasesDetectionJobResponse$JobId' => '<p>The identifier of the key phrases detection job to stop.</p>', 'StopSentimentDetectionJobRequest$JobId' => '<p>The identifier of the sentiment detection job to stop.</p>', 'StopSentimentDetectionJobResponse$JobId' => '<p>The identifier of the sentiment detection job to stop.</p>', 'TopicsDetectionJobProperties$JobId' => '<p>The identifier assigned to the topic detection job.</p>', ], ], 'JobName' => [ 'base' => NULL, 'refs' => [ 'DominantLanguageDetectionJobFilter$JobName' => '<p>Filters on the name of the job.</p>', 'DominantLanguageDetectionJobProperties$JobName' => '<p>The name that you assigned to the dominant language detection job.</p>', 'EntitiesDetectionJobFilter$JobName' => '<p>Filters on the name of the job.</p>', 'EntitiesDetectionJobProperties$JobName' => '<p>The name that you assigned the entities detection job.</p>', 'KeyPhrasesDetectionJobFilter$JobName' => '<p>Filters on the name of the job.</p>', 'KeyPhrasesDetectionJobProperties$JobName' => '<p>The name that you assigned the key phrases detection job.</p>', 'SentimentDetectionJobFilter$JobName' => '<p>Filters on the name of the job.</p>', 'SentimentDetectionJobProperties$JobName' => '<p>The name that you assigned to the sentiment detection job</p>', 'StartDominantLanguageDetectionJobRequest$JobName' => '<p>An identifier for the job.</p>', 'StartEntitiesDetectionJobRequest$JobName' => '<p>The identifier of the job.</p>', 'StartKeyPhrasesDetectionJobRequest$JobName' => '<p>The identifier of the job.</p>', 'StartSentimentDetectionJobRequest$JobName' => '<p>The identifier of the job.</p>', 'StartTopicsDetectionJobRequest$JobName' => '<p>The identifier of the job.</p>', 'TopicsDetectionJobFilter$JobName' => '<p/>', 'TopicsDetectionJobProperties$JobName' => '<p>The name of the topic detection job.</p>', ], ], 'JobNotFoundException' => [ 'base' => '<p>The specified job was not found. Check the job ID and try again.</p>', 'refs' => [], ], 'JobStatus' => [ 'base' => NULL, 'refs' => [ 'DominantLanguageDetectionJobFilter$JobStatus' => '<p>Filters the list of jobs based on job status. Returns only jobs with the specified status.</p>', 'DominantLanguageDetectionJobProperties$JobStatus' => '<p>The current status of the dominant language detection job. If the status is <code>FAILED</code>, the <code>Message</code> field shows the reason for the failure.</p>', 'EntitiesDetectionJobFilter$JobStatus' => '<p>Filters the list of jobs based on job status. Returns only jobs with the specified status.</p>', 'EntitiesDetectionJobProperties$JobStatus' => '<p>The current status of the entities detection job. If the status is <code>FAILED</code>, the <code>Message</code> field shows the reason for the failure.</p>', 'KeyPhrasesDetectionJobFilter$JobStatus' => '<p>Filters the list of jobs based on job status. Returns only jobs with the specified status.</p>', 'KeyPhrasesDetectionJobProperties$JobStatus' => '<p>The current status of the key phrases detection job. If the status is <code>FAILED</code>, the <code>Message</code> field shows the reason for the failure.</p>', 'SentimentDetectionJobFilter$JobStatus' => '<p>Filters the list of jobs based on job status. Returns only jobs with the specified status.</p>', 'SentimentDetectionJobProperties$JobStatus' => '<p>The current status of the sentiment detection job. If the status is <code>FAILED</code>, the <code>Messages</code> field shows the reason for the failure.</p>', 'StartDominantLanguageDetectionJobResponse$JobStatus' => '<p>The status of the job. </p> <ul> <li> <p>SUBMITTED - The job has been received and is queued for processing.</p> </li> <li> <p>IN_PROGRESS - Amazon Comprehend is processing the job.</p> </li> <li> <p>COMPLETED - The job was successfully completed and the output is available.</p> </li> <li> <p>FAILED - The job did not complete. To get details, use the operation.</p> </li> </ul>', 'StartEntitiesDetectionJobResponse$JobStatus' => '<p>The status of the job. </p> <ul> <li> <p>SUBMITTED - The job has been received and is queued for processing.</p> </li> <li> <p>IN_PROGRESS - Amazon Comprehend is processing the job.</p> </li> <li> <p>COMPLETED - The job was successfully completed and the output is available.</p> </li> <li> <p>FAILED - The job did not complete. To get details, use the operation.</p> </li> </ul>', 'StartKeyPhrasesDetectionJobResponse$JobStatus' => '<p>The status of the job. </p> <ul> <li> <p>SUBMITTED - The job has been received and is queued for processing.</p> </li> <li> <p>IN_PROGRESS - Amazon Comprehend is processing the job.</p> </li> <li> <p>COMPLETED - The job was successfully completed and the output is available.</p> </li> <li> <p>FAILED - The job did not complete. To get details, use the operation.</p> </li> </ul>', 'StartSentimentDetectionJobResponse$JobStatus' => '<p>The status of the job. </p> <ul> <li> <p>SUBMITTED - The job has been received and is queued for processing.</p> </li> <li> <p>IN_PROGRESS - Amazon Comprehend is processing the job.</p> </li> <li> <p>COMPLETED - The job was successfully completed and the output is available.</p> </li> <li> <p>FAILED - The job did not complete. To get details, use the operation.</p> </li> </ul>', 'StartTopicsDetectionJobResponse$JobStatus' => '<p>The status of the job: </p> <ul> <li> <p>SUBMITTED - The job has been received and is queued for processing.</p> </li> <li> <p>IN_PROGRESS - Amazon Comprehend is processing the job.</p> </li> <li> <p>COMPLETED - The job was successfully completed and the output is available.</p> </li> <li> <p>FAILED - The job did not complete. To get details, use the <code>DescribeTopicDetectionJob</code> operation.</p> </li> </ul>', 'StopDominantLanguageDetectionJobResponse$JobStatus' => '<p>Either <code>STOPPING</code> if the job is currently running, or <code>STOPPED</code> if the job was previously stopped with the <code>StopDominantLanguageDetectionJob</code> operation.</p>', 'StopEntitiesDetectionJobResponse$JobStatus' => '<p>Either <code>STOPPING</code> if the job is currently running, or <code>STOPPED</code> if the job was previously stopped with the <code>StopEntitiesDetectionJob</code> operation.</p>', 'StopKeyPhrasesDetectionJobResponse$JobStatus' => '<p>Either <code>STOPPING</code> if the job is currently running, or <code>STOPPED</code> if the job was previously stopped with the <code>StopKeyPhrasesDetectionJob</code> operation.</p>', 'StopSentimentDetectionJobResponse$JobStatus' => '<p>Either <code>STOPPING</code> if the job is currently running, or <code>STOPPED</code> if the job was previously stopped with the <code>StopSentimentDetectionJob</code> operation.</p>', 'TopicsDetectionJobFilter$JobStatus' => '<p>Filters the list of topic detection jobs based on job status. Returns only jobs with the specified status.</p>', 'TopicsDetectionJobProperties$JobStatus' => '<p>The current status of the topic detection job. If the status is <code>Failed</code>, the reason for the failure is shown in the <code>Message</code> field.</p>', ], ], 'KeyPhrase' => [ 'base' => '<p>Describes a key noun phrase.</p>', 'refs' => [ 'ListOfKeyPhrases$member' => NULL, ], ], 'KeyPhrasesDetectionJobFilter' => [ 'base' => '<p>Provides information for filtering a list of dominant language detection jobs. For more information, see the operation.</p>', 'refs' => [ 'ListKeyPhrasesDetectionJobsRequest$Filter' => '<p>Filters the jobs that are returned. You can filter jobs on their name, status, or the date and time that they were submitted. You can only set one filter at a time.</p>', ], ], 'KeyPhrasesDetectionJobProperties' => [ 'base' => '<p>Provides information about a key phrases detection job.</p>', 'refs' => [ 'DescribeKeyPhrasesDetectionJobResponse$KeyPhrasesDetectionJobProperties' => '<p>An object that contains the properties associated with a key phrases detection job. </p>', 'KeyPhrasesDetectionJobPropertiesList$member' => NULL, ], ], 'KeyPhrasesDetectionJobPropertiesList' => [ 'base' => NULL, 'refs' => [ 'ListKeyPhrasesDetectionJobsResponse$KeyPhrasesDetectionJobPropertiesList' => '<p>A list containing the properties of each job that is returned.</p>', ], ], 'LanguageCode' => [ 'base' => NULL, 'refs' => [ 'BatchDetectEntitiesRequest$LanguageCode' => '<p>The language of the input documents. You can specify English ("en") or Spanish ("es"). All documents must be in the same language.</p>', 'BatchDetectKeyPhrasesRequest$LanguageCode' => '<p>The language of the input documents. You can specify English ("en") or Spanish ("es"). All documents must be in the same language.</p>', 'BatchDetectSentimentRequest$LanguageCode' => '<p>The language of the input documents. You can specify English ("en") or Spanish ("es"). All documents must be in the same language.</p>', 'DetectEntitiesRequest$LanguageCode' => '<p>The language of the input documents. You can specify English ("en") or Spanish ("es"). All documents must be in the same language.</p>', 'DetectKeyPhrasesRequest$LanguageCode' => '<p>The language of the input documents. You can specify English ("en") or Spanish ("es"). All documents must be in the same language.</p>', 'DetectSentimentRequest$LanguageCode' => '<p>The language of the input documents. You can specify English ("en") or Spanish ("es"). All documents must be in the same language.</p>', 'EntitiesDetectionJobProperties$LanguageCode' => '<p>The language code of the input documents.</p>', 'KeyPhrasesDetectionJobProperties$LanguageCode' => '<p>The language code of the input documents.</p>', 'SentimentDetectionJobProperties$LanguageCode' => '<p>The language code of the input documents.</p>', 'StartEntitiesDetectionJobRequest$LanguageCode' => '<p>The language of the input documents. You can specify English ("en") or Spanish ("es"). All documents must be in the same language.</p>', 'StartKeyPhrasesDetectionJobRequest$LanguageCode' => '<p>The language of the input documents. You can specify English ("en") or Spanish ("es"). All documents must be in the same language.</p>', 'StartSentimentDetectionJobRequest$LanguageCode' => '<p>The language of the input documents. You can specify English ("en") or Spanish ("es"). All documents must be in the same language.</p>', ], ], 'ListDominantLanguageDetectionJobsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListDominantLanguageDetectionJobsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListEntitiesDetectionJobsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListEntitiesDetectionJobsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListKeyPhrasesDetectionJobsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListKeyPhrasesDetectionJobsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListOfDetectDominantLanguageResult' => [ 'base' => NULL, 'refs' => [ 'BatchDetectDominantLanguageResponse$ResultList' => '<p>A list of objects containing the results of the operation. The results are sorted in ascending order by the <code>Index</code> field and match the order of the documents in the input list. If all of the documents contain an error, the <code>ResultList</code> is empty.</p>', ], ], 'ListOfDetectEntitiesResult' => [ 'base' => NULL, 'refs' => [ 'BatchDetectEntitiesResponse$ResultList' => '<p>A list of objects containing the results of the operation. The results are sorted in ascending order by the <code>Index</code> field and match the order of the documents in the input list. If all of the documents contain an error, the <code>ResultList</code> is empty.</p>', ], ], 'ListOfDetectKeyPhrasesResult' => [ 'base' => NULL, 'refs' => [ 'BatchDetectKeyPhrasesResponse$ResultList' => '<p>A list of objects containing the results of the operation. The results are sorted in ascending order by the <code>Index</code> field and match the order of the documents in the input list. If all of the documents contain an error, the <code>ResultList</code> is empty.</p>', ], ], 'ListOfDetectSentimentResult' => [ 'base' => NULL, 'refs' => [ 'BatchDetectSentimentResponse$ResultList' => '<p>A list of objects containing the results of the operation. The results are sorted in ascending order by the <code>Index</code> field and match the order of the documents in the input list. If all of the documents contain an error, the <code>ResultList</code> is empty.</p>', ], ], 'ListOfDominantLanguages' => [ 'base' => NULL, 'refs' => [ 'BatchDetectDominantLanguageItemResult$Languages' => '<p>One or more <a>DominantLanguage</a> objects describing the dominant languages in the document.</p>', 'DetectDominantLanguageResponse$Languages' => '<p>The languages that Amazon Comprehend detected in the input text. For each language, the response returns the RFC 5646 language code and the level of confidence that Amazon Comprehend has in the accuracy of its inference. For more information about RFC 5646, see <a href="https://tools.ietf.org/html/rfc5646">Tags for Identifying Languages</a> on the <i>IETF Tools</i> web site.</p>', ], ], 'ListOfEntities' => [ 'base' => NULL, 'refs' => [ 'BatchDetectEntitiesItemResult$Entities' => '<p>One or more <a>Entity</a> objects, one for each entity detected in the document.</p>', 'DetectEntitiesResponse$Entities' => '<p>A collection of entities identified in the input text. For each entity, the response provides the entity text, entity type, where the entity text begins and ends, and the level of confidence that Amazon Comprehend has in the detection. For a list of entity types, see <a>how-entities</a>. </p>', ], ], 'ListOfKeyPhrases' => [ 'base' => NULL, 'refs' => [ 'BatchDetectKeyPhrasesItemResult$KeyPhrases' => '<p>One or more <a>KeyPhrase</a> objects, one for each key phrase detected in the document.</p>', 'DetectKeyPhrasesResponse$KeyPhrases' => '<p>A collection of key phrases that Amazon Comprehend identified in the input text. For each key phrase, the response provides the text of the key phrase, where the key phrase begins and ends, and the level of confidence that Amazon Comprehend has in the accuracy of the detection. </p>', ], ], 'ListSentimentDetectionJobsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListSentimentDetectionJobsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTopicsDetectionJobsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTopicsDetectionJobsResponse' => [ 'base' => NULL, 'refs' => [], ], 'MaxResultsInteger' => [ 'base' => NULL, 'refs' => [ 'ListDominantLanguageDetectionJobsRequest$MaxResults' => '<p>The maximum number of results to return in each page. The default is 100.</p>', 'ListEntitiesDetectionJobsRequest$MaxResults' => '<p>The maximum number of results to return in each page. The default is 100.</p>', 'ListKeyPhrasesDetectionJobsRequest$MaxResults' => '<p>The maximum number of results to return in each page. The default is 100.</p>', 'ListSentimentDetectionJobsRequest$MaxResults' => '<p>The maximum number of results to return in each page. The default is 100.</p>', 'ListTopicsDetectionJobsRequest$MaxResults' => '<p>The maximum number of results to return in each page. The default is 100.</p>', ], ], 'NumberOfTopicsInteger' => [ 'base' => NULL, 'refs' => [ 'StartTopicsDetectionJobRequest$NumberOfTopics' => '<p>The number of topics to detect.</p>', ], ], 'OutputDataConfig' => [ 'base' => '<p>Provides configuration parameters for the output of topic detection jobs.</p> <p/>', 'refs' => [ 'DominantLanguageDetectionJobProperties$OutputDataConfig' => '<p>The output data configuration that you supplied when you created the dominant language detection job.</p>', 'EntitiesDetectionJobProperties$OutputDataConfig' => '<p>The output data configuration that you supplied when you created the entities detection job. </p>', 'KeyPhrasesDetectionJobProperties$OutputDataConfig' => '<p>The output data configuration that you supplied when you created the key phrases detection job.</p>', 'SentimentDetectionJobProperties$OutputDataConfig' => '<p>The output data configuration that you supplied when you created the sentiment detection job.</p>', 'StartDominantLanguageDetectionJobRequest$OutputDataConfig' => '<p>Specifies where to send the output files.</p>', 'StartEntitiesDetectionJobRequest$OutputDataConfig' => '<p>Specifies where to send the output files.</p>', 'StartKeyPhrasesDetectionJobRequest$OutputDataConfig' => '<p>Specifies where to send the output files.</p>', 'StartSentimentDetectionJobRequest$OutputDataConfig' => '<p>Specifies where to send the output files. </p>', 'StartTopicsDetectionJobRequest$OutputDataConfig' => '<p>Specifies where to send the output files. The output is a compressed archive with two files, <code>topic-terms.csv</code> that lists the terms associated with each topic, and <code>doc-topics.csv</code> that lists the documents associated with each topic</p>', 'TopicsDetectionJobProperties$OutputDataConfig' => '<p>The output data configuration supplied when you created the topic detection job.</p>', ], ], 'S3Uri' => [ 'base' => NULL, 'refs' => [ 'InputDataConfig$S3Uri' => '<p>The Amazon S3 URI for the input data. The URI must be in same region as the API endpoint that you are calling. The URI can point to a single input file or it can provide the prefix for a collection of data files. </p> <p>For example, if you use the URI <code>S3://bucketName/prefix</code>, if the prefix is a single file, Amazon Comprehend uses that file as input. If more than one file begins with the prefix, Amazon Comprehend uses all of them as input.</p>', 'OutputDataConfig$S3Uri' => '<p>When you use the <code>OutputDataConfig</code> object with asynchronous operations, you specify the Amazon S3 location where you want to write the output data. The URI must be in the same region as the API endpoint that you are calling. The location is used as the prefix for the actual location of the output file.</p> <p>When the topic detection job is finished, the service creates an output file in a directory specific to the job. The <code>S3Uri</code> field contains the location of the output file, called <code>output.tar.gz</code>. It is a compressed archive that contains the ouput of the operation.</p>', ], ], 'SentimentDetectionJobFilter' => [ 'base' => '<p>Provides information for filtering a list of dominant language detection jobs. For more information, see the operation.</p>', 'refs' => [ 'ListSentimentDetectionJobsRequest$Filter' => '<p>Filters the jobs that are returned. You can filter jobs on their name, status, or the date and time that they were submitted. You can only set one filter at a time.</p>', ], ], 'SentimentDetectionJobProperties' => [ 'base' => '<p>Provides information about a sentiment detection job.</p>', 'refs' => [ 'DescribeSentimentDetectionJobResponse$SentimentDetectionJobProperties' => '<p>An object that contains the properties associated with a sentiment detection job.</p>', 'SentimentDetectionJobPropertiesList$member' => NULL, ], ], 'SentimentDetectionJobPropertiesList' => [ 'base' => NULL, 'refs' => [ 'ListSentimentDetectionJobsResponse$SentimentDetectionJobPropertiesList' => '<p>A list containing the properties of each job that is returned.</p>', ], ], 'SentimentScore' => [ 'base' => '<p>Describes the level of confidence that Amazon Comprehend has in the accuracy of its detection of sentiments.</p>', 'refs' => [ 'BatchDetectSentimentItemResult$SentimentScore' => '<p>The level of confidence that Amazon Comprehend has in the accuracy of its sentiment detection.</p>', 'DetectSentimentResponse$SentimentScore' => '<p>An object that lists the sentiments, and their corresponding confidence levels.</p>', ], ], 'SentimentType' => [ 'base' => NULL, 'refs' => [ 'BatchDetectSentimentItemResult$Sentiment' => '<p>The sentiment detected in the document.</p>', 'DetectSentimentResponse$Sentiment' => '<p>The inferred sentiment that Amazon Comprehend has the highest level of confidence in.</p>', ], ], 'StartDominantLanguageDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartDominantLanguageDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'StartEntitiesDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartEntitiesDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'StartKeyPhrasesDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartKeyPhrasesDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'StartSentimentDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartSentimentDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'StartTopicsDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartTopicsDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'StopDominantLanguageDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'StopDominantLanguageDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'StopEntitiesDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'StopEntitiesDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'StopKeyPhrasesDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'StopKeyPhrasesDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'StopSentimentDetectionJobRequest' => [ 'base' => NULL, 'refs' => [], ], 'StopSentimentDetectionJobResponse' => [ 'base' => NULL, 'refs' => [], ], 'String' => [ 'base' => NULL, 'refs' => [ 'BatchItemError$ErrorCode' => '<p>The numeric error code of the error.</p>', 'BatchItemError$ErrorMessage' => '<p>A text description of the error.</p>', 'BatchSizeLimitExceededException$Message' => NULL, 'DetectDominantLanguageRequest$Text' => '<p>A UTF-8 text string. Each string should contain at least 20 characters and must contain fewer that 5,000 bytes of UTF-8 encoded characters.</p>', 'DetectEntitiesRequest$Text' => '<p>A UTF-8 text string. Each string must contain fewer that 5,000 bytes of UTF-8 encoded characters.</p>', 'DetectKeyPhrasesRequest$Text' => '<p>A UTF-8 text string. Each string must contain fewer that 5,000 bytes of UTF-8 encoded characters.</p>', 'DetectSentimentRequest$Text' => '<p>A UTF-8 text string. Each string must contain fewer that 5,000 bytes of UTF-8 encoded characters.</p>', 'DominantLanguage$LanguageCode' => '<p>The RFC 5646 language code for the dominant language. For more information about RFC 5646, see <a href="https://tools.ietf.org/html/rfc5646">Tags for Identifying Languages</a> on the <i>IETF Tools</i> web site.</p>', 'Entity$Text' => '<p>The text of the entity.</p>', 'InternalServerException$Message' => NULL, 'InvalidFilterException$Message' => NULL, 'InvalidRequestException$Message' => NULL, 'JobNotFoundException$Message' => NULL, 'KeyPhrase$Text' => '<p>The text of a key noun phrase.</p>', 'ListDominantLanguageDetectionJobsRequest$NextToken' => '<p>Identifies the next page of results to return.</p>', 'ListDominantLanguageDetectionJobsResponse$NextToken' => '<p>Identifies the next page of results to return.</p>', 'ListEntitiesDetectionJobsRequest$NextToken' => '<p>Identifies the next page of results to return.</p>', 'ListEntitiesDetectionJobsResponse$NextToken' => '<p>Identifies the next page of results to return.</p>', 'ListKeyPhrasesDetectionJobsRequest$NextToken' => '<p>Identifies the next page of results to return.</p>', 'ListKeyPhrasesDetectionJobsResponse$NextToken' => '<p>Identifies the next page of results to return.</p>', 'ListSentimentDetectionJobsRequest$NextToken' => '<p>Identifies the next page of results to return.</p>', 'ListSentimentDetectionJobsResponse$NextToken' => '<p>Identifies the next page of results to return.</p>', 'ListTopicsDetectionJobsRequest$NextToken' => '<p>Identifies the next page of results to return.</p>', 'ListTopicsDetectionJobsResponse$NextToken' => '<p>Identifies the next page of results to return.</p>', 'StringList$member' => NULL, 'TextSizeLimitExceededException$Message' => NULL, 'TooManyRequestsException$Message' => NULL, 'UnsupportedLanguageException$Message' => NULL, ], ], 'StringList' => [ 'base' => NULL, 'refs' => [ 'BatchDetectDominantLanguageRequest$TextList' => '<p>A list containing the text of the input documents. The list can contain a maximum of 25 documents. Each document should contain at least 20 characters and must contain fewer than 5,000 bytes of UTF-8 encoded characters.</p>', 'BatchDetectEntitiesRequest$TextList' => '<p>A list containing the text of the input documents. The list can contain a maximum of 25 documents. Each document must contain fewer than 5,000 bytes of UTF-8 encoded characters.</p>', 'BatchDetectKeyPhrasesRequest$TextList' => '<p>A list containing the text of the input documents. The list can contain a maximum of 25 documents. Each document must contain fewer that 5,000 bytes of UTF-8 encoded characters.</p>', 'BatchDetectSentimentRequest$TextList' => '<p>A list containing the text of the input documents. The list can contain a maximum of 25 documents. Each document must contain fewer that 5,000 bytes of UTF-8 encoded characters.</p>', ], ], 'TextSizeLimitExceededException' => [ 'base' => '<p>The size of the input text exceeds the limit. Use a smaller document.</p>', 'refs' => [], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'DominantLanguageDetectionJobFilter$SubmitTimeBefore' => '<p>Filters the list of jobs based on the time that the job was submitted for processing. Returns only jobs submitted before the specified time. Jobs are returned in ascending order, oldest to newest.</p>', 'DominantLanguageDetectionJobFilter$SubmitTimeAfter' => '<p>Filters the list of jobs based on the time that the job was submitted for processing. Returns only jobs submitted after the specified time. Jobs are returned in descending order, newest to oldest.</p>', 'DominantLanguageDetectionJobProperties$SubmitTime' => '<p>The time that the dominant language detection job was submitted for processing.</p>', 'DominantLanguageDetectionJobProperties$EndTime' => '<p>The time that the dominant language detection job completed.</p>', 'EntitiesDetectionJobFilter$SubmitTimeBefore' => '<p>Filters the list of jobs based on the time that the job was submitted for processing. Returns only jobs submitted before the specified time. Jobs are returned in ascending order, oldest to newest.</p>', 'EntitiesDetectionJobFilter$SubmitTimeAfter' => '<p>Filters the list of jobs based on the time that the job was submitted for processing. Returns only jobs submitted after the specified time. Jobs are returned in descending order, newest to oldest.</p>', 'EntitiesDetectionJobProperties$SubmitTime' => '<p>The time that the entities detection job was submitted for processing.</p>', 'EntitiesDetectionJobProperties$EndTime' => '<p>The time that the entities detection job completed</p>', 'KeyPhrasesDetectionJobFilter$SubmitTimeBefore' => '<p>Filters the list of jobs based on the time that the job was submitted for processing. Returns only jobs submitted before the specified time. Jobs are returned in ascending order, oldest to newest.</p>', 'KeyPhrasesDetectionJobFilter$SubmitTimeAfter' => '<p>Filters the list of jobs based on the time that the job was submitted for processing. Returns only jobs submitted after the specified time. Jobs are returned in descending order, newest to oldest.</p>', 'KeyPhrasesDetectionJobProperties$SubmitTime' => '<p>The time that the key phrases detection job was submitted for processing.</p>', 'KeyPhrasesDetectionJobProperties$EndTime' => '<p>The time that the key phrases detection job completed.</p>', 'SentimentDetectionJobFilter$SubmitTimeBefore' => '<p>Filters the list of jobs based on the time that the job was submitted for processing. Returns only jobs submitted before the specified time. Jobs are returned in ascending order, oldest to newest.</p>', 'SentimentDetectionJobFilter$SubmitTimeAfter' => '<p>Filters the list of jobs based on the time that the job was submitted for processing. Returns only jobs submitted after the specified time. Jobs are returned in descending order, newest to oldest.</p>', 'SentimentDetectionJobProperties$SubmitTime' => '<p>The time that the sentiment detection job was submitted for processing.</p>', 'SentimentDetectionJobProperties$EndTime' => '<p>The time that the sentiment detection job ended.</p>', 'TopicsDetectionJobFilter$SubmitTimeBefore' => '<p>Filters the list of jobs based on the time that the job was submitted for processing. Only returns jobs submitted before the specified time. Jobs are returned in descending order, newest to oldest.</p>', 'TopicsDetectionJobFilter$SubmitTimeAfter' => '<p>Filters the list of jobs based on the time that the job was submitted for processing. Only returns jobs submitted after the specified time. Jobs are returned in ascending order, oldest to newest.</p>', 'TopicsDetectionJobProperties$SubmitTime' => '<p>The time that the topic detection job was submitted for processing.</p>', 'TopicsDetectionJobProperties$EndTime' => '<p>The time that the topic detection job was completed.</p>', ], ], 'TooManyRequestsException' => [ 'base' => '<p>The number of requests exceeds the limit. Resubmit your request later.</p>', 'refs' => [], ], 'TopicsDetectionJobFilter' => [ 'base' => '<p>Provides information for filtering topic detection jobs. For more information, see .</p>', 'refs' => [ 'ListTopicsDetectionJobsRequest$Filter' => '<p>Filters the jobs that are returned. Jobs can be filtered on their name, status, or the date and time that they were submitted. You can set only one filter at a time.</p>', ], ], 'TopicsDetectionJobProperties' => [ 'base' => '<p>Provides information about a topic detection job.</p>', 'refs' => [ 'DescribeTopicsDetectionJobResponse$TopicsDetectionJobProperties' => '<p>The list of properties for the requested job.</p>', 'TopicsDetectionJobPropertiesList$member' => NULL, ], ], 'TopicsDetectionJobPropertiesList' => [ 'base' => NULL, 'refs' => [ 'ListTopicsDetectionJobsResponse$TopicsDetectionJobPropertiesList' => '<p>A list containing the properties of each job that is returned.</p>', ], ], 'UnsupportedLanguageException' => [ 'base' => '<p>Amazon Comprehend can\'t process the language of the input text. For all APIs except <code>DetectDominantLanguage</code>, Amazon Comprehend accepts only English or Spanish text. For the <code>DetectDominantLanguage</code> API, Amazon Comprehend detects 100 languages. For a list of languages, see <a>how-languages</a> </p>', 'refs' => [], ], ],];
